#{extends 'dashboard/smart_report/adjustment/adjustment-smartreport.html' /}
#{set 'title'}
<h1>Manajemen Data Smart Report e-Purchasing</h1>
#{/set}
#{common.alert /}
<div class="container-fluid container-fixed-lg bg-white">
    <div class="row">
        <div class="col">
            <div class="card">
                <div class="card-body">
                    <form method="post" action="@{smartreport.SmartReportAdjustmentController.ePurchasingSubmit(summary?.id)}" class="e-purchasing-edit">
                    #{authenticityToken /}
                        <div class="form-group">
                            <div class="col-sm-8">
                                <table class="table table-bordered table-hover">
                                    <thead>
                                    <tr>
                                        <th colspan="4" style="text-align: center">Data Tahun ${tahun}</th>
                                    </tr>
                                    <tr>
                                        <th style="width: 30%"></th>
                                        <th style="width: 30%">Data Saat Ini</th>
                                        <td style="width: 5%; text-align: center"><i class="fa fa-2x fa-arrow-circle-left copy-data-all"></i></td>
                                        <th style="width: 30%">Datamart</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td><label class="control-label">Jumlah Paket</label></td>
                                            <td>
                                                <div class="form-group has-feedback">
                                                    <input type="text" name="summaryEdit.jumlah_paket" value="${summary.jumlah_paket}" class="form-control number">
                                                    <span class="form-control-feedback"></span>
                                                </div>
                                            </td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="jumlah_paket"></i>
                                                <input type="hidden" class="jumlah_paket" value="${original?.jumlah_paket}"/>
                                            </td>
                                            <td class="right number">${original?.jumlah_paket}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Nilai Transaksi</label></td>
                                            <td>
                                                <div class="form-group has-feedback">
                                                    <input type="text" name="summaryEdit.nilai_transaksi" value="${summary.nilai_transaksi.format("##0.##")}" class="form-control decimal">
                                                    <span class="form-control-feedback"></span>
                                                </div>
                                            </td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="nilai_transaksi"></i>
                                                <input type="hidden" class="nilai_transaksi" value="${original?.nilai_transaksi}"/>
                                            </td>
                                            <td class="right decimal">${original?.nilai_transaksi}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Jumlah Kategori Komoditas</label></td>
                                            <td>
                                                <div class="form-group has-feedback">
                                                    <input type="text" name="summaryEdit.jumlah_kategori_komoditas" value="${summary.jumlah_kategori_komoditas}" class="form-control number">
                                                    <span class="form-control-feedback"></span>
                                                </div>
                                            </td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="jumlah_kategori_komoditas"></i>
                                                <input type="hidden" class="jumlah_kategori_komoditas" value="${original?.jumlah_kategori_komoditas}"/>
                                            </td>
                                            <td class="right number">${original?.jumlah_kategori_komoditas}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Jumlah Penyedia</label></td>
                                            <td>
                                                <div class="form-group has-feedback">
                                                <input type="text" name="summaryEdit.jumlah_penyedia" value="${summary.jumlah_penyedia.format("##0.##")}" class="form-control number">

                                            </td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="jumlah_penyedia"></i>
                                                <input type="hidden" class="jumlah_penyedia" value="${original?.jumlah_penyedia}"/>
                                            </td>
                                            <td class="right number">${original?.jumlah_penyedia}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Jumlah Produk Terdaftar</label></td>
                                            <td>
                                                <div class="form-group has-feedback">
                                                    <input type="text" name="summaryEdit.jumlah_produk" value="${summary.jumlah_produk}" class="form-control number">
                                                    <span class="form-control-feedback"></span>
                                                </div>
                                            </td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="jumlah_produk"></i>
                                                <input type="hidden" class="jumlah_produk" value="${original?.jumlah_produk}"/>
                                            </td>
                                            <td class="right number">${original?.jumlah_produk}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-12">
                                <div class="pull-right">
                                    <a href='@{smartreport.SmartReportAdjustmentController.ePurchasing()}' class="btn btn-default">Back</a>
                                    <button type="button" class="btn btn-success save-button"><i class="fa fa-save"></i> Simpan</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
#{set 'adjustmentScripts' }
<script>
    $(document).ready(function() {
        adjustmentData(".e-purchasing-edit");
    });
</script>
#{/set}